Bug 241457 - sysutils/opencorsairlink: fix build on GCC architectures
Summary: sysutils/opencorsairlink: fix build on GCC architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Nikolai Lifanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-24 09:48 UTC by Piotr Kubaj
Modified: 2019-11-07 15:41 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (lifanov)


Attachments
patch (262 bytes, patch)
2019-10-24 09:48 UTC, Piotr Kubaj
pkubaj: maintainer-approval? (lifanov)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-10-24 09:48:35 UTC
Created attachment 208557 [details]
patch

Linking to libm is required to build this port with GCC:
/wrkdirs/usr/ports/sysutils/opencorsairlink/work/OpenCorsairLink-4234f4f/protocol/rmi/core.c:49: undefined reference to `pow'
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2019-10-26 06:09:07 UTC
Approved as mentor (builds on ppcports) pending maintainer review.
Comment 2 commit-hook freebsd_committer 2019-11-07 15:41:33 UTC
A commit references this bug:

Author: pkubaj
Date: Thu Nov  7 15:40:43 UTC 2019
New revision: 516979
URL: https://svnweb.freebsd.org/changeset/ports/516979

Log:
  sysutils/opencorsairlink: fix build on GCC architectures

  Linking to libm is required to build this port with GCC:
  /wrkdirs/usr/ports/sysutils/opencorsairlink/work/OpenCorsairLink-4234f4f/protocol/rmi/core.c:49: undefined reference to `pow'

  PR:		241457
  Approved by:	linimon (mentor), lifanov (maintainer timeout)

Changes:
  head/sysutils/opencorsairlink/Makefile